#ifndef __EXTERN_H
#define __EXTERN_H

#include <avr/pgmspace.h>

#include "uart.h"

extern uint8_t  digit;

extern uint8_t  mode;
extern uint8_t  colon_mode;
extern uint8_t  colon_brightness[2];
extern uint8_t  config_mode;

//extern uint8_t  PROGMEM font_high[];
//extern uint8_t  PROGMEM font_low[];
extern uint8_t  font_high[];
extern uint8_t  font_low[];

extern uint8_t  duty;
extern uint8_t  duty_count;

extern uint8_t  century;
extern uint8_t  rtc_hour, rtc_min, rtc_sec;
extern uint8_t  rtc_year, rtc_month, rtc_date, rtc_day;

extern uint8_t  digit_main[8];
extern uint8_t  digit_brightness[8];
extern uint8_t  digit_time[8];
extern uint8_t  digit_date[8];
extern uint8_t digit_dot[8];

extern uint8_t  digit_pressure[8];
extern uint8_t  digit_temparature[8];
extern uint64_t temparature, pressure;

extern uint8_t  gps_en;
extern uint32_t gps_count;
extern GPSTIME  gpstime;
extern int8_t   gps_timezone;

extern uint8_t  light_sensor_en;
extern uint16_t light_sensor;
extern uint16_t light_sensor_th;
extern uint8_t  light_sensor_sw;

extern uint8_t  temp_turnon_flag;
extern uint8_t  temp_turnon;

extern uint8_t  test_mode;
#endif
