#ifndef __UART_H
#define __UART_H

#define UART0_BUF 256
#define GPS_TIMEZONE_MAX 14
#define GPS_TIMEZONE_MIN -12
#define GPS_COUNT 172800 // 3600 * 24 = 1day (RTC count is 2 count/sec)

// gps time
typedef struct _gpstime{
	volatile uint8_t time[6]; // hhmmss
	volatile uint8_t valid;
}GPSTIME;

void init_uart(void);

#endif
